jif.types

## Class Param_c

- java.lang.Object
- - polyglot.types.TypeObject_c
  - - jif.types.Param_c

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Param, polyglot.types.TypeObject, polyglot.util.Copy<polyglot.types.TypeObject>
  Direct Known Subclasses:
    Label_c, Principal_c, UnknownParam_c

      public abstract class Param_c
      extends polyglot.types.TypeObject_c
      implements Param

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    - ### Fields inherited from class polyglot.types.TypeObject_c

      `position, ts`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Param_c()`
    `Param_c(polyglot.types.TypeSystem ts)`
    `Param_c(polyglot.types.TypeSystem ts, polyglot.util.Position pos)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JifTypeSystem` | `typeSystem()`

    - ### Methods inherited from class polyglot.types.TypeObject_c

      `copy, equals, equalsImpl, hashCode, position`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface jif.types.Param

      `isCanonical, isRuntimeRepresentable`

    - ### Methods inherited from interface polyglot.types.TypeObject

      `equalsImpl, position`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Constructor Detail

    - #### Param_c

          public Param_c()

    - #### Param_c

          public Param_c(polyglot.types.TypeSystem ts,
                         polyglot.util.Position pos)

    - #### Param_c

          public Param_c(polyglot.types.TypeSystem ts)

  - ### Method Detail

    - #### typeSystem

          public JifTypeSystem typeSystem()

      Specified by:
        `typeSystem` in interface `Param`
      Specified by:
        `typeSystem` in interface `polyglot.types.TypeObject`
      Overrides:
        `typeSystem` in class `polyglot.types.TypeObject_c`